aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries
diff options
context:
space:
mode:
authorJuraj Linkeš <juraj.linkes@pantheon.tech>2020-05-28 08:52:21 +0200
committerJan Gelety <jgelety@cisco.com>2020-05-28 15:18:34 +0000
commit292604dff945080639021fb4ffe524c6aed3ff07 (patch)
tree03b61d1460db2edd60ab1b5448711203ccca3fb6 /resources/libraries
parentd91be0977ab077324d95d5a50702d4cb244b686a (diff)
Remove hugepage dirs when killing dpdk
There could be directories under /dev/hugepages/ so remove those as well. Change-Id: I8ecdde159b8e0049460d0bcdc8b1a2c85b1ed25f Signed-off-by: Juraj Linkeš <juraj.linkes@pantheon.tech>
Diffstat (limited to 'resources/libraries')
-rw-r--r--resources/libraries/bash/function/dpdk.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/resources/libraries/bash/function/dpdk.sh b/resources/libraries/bash/function/dpdk.sh
index da46c6d49c..72c1e5ce17 100644
--- a/resources/libraries/bash/function/dpdk.sh
+++ b/resources/libraries/bash/function/dpdk.sh
@@ -206,7 +206,7 @@ function dpdk_kill () {
fi
# Remove hugepages
- sudo rm -f /dev/hugepages/* || die "Removing hugepages failed!"
+ sudo rm -rf /dev/hugepages/* || die "Removing hugepages failed!"
}